Storage
Get S3 Bucket
Get a single S3 bucket by ID: its name, endpoint, region, bucket and access key ID. The secret key is never returned.
Get a single S3 bucket by ID: its name, endpoint, region, bucket and access key ID. The secret key is never returned.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Query Parameters
id*string
Format
uuidteam_id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/storage/s3/get?id=497f6eca-6276-4993-bfeb-53cbbbba6f08&team_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "access_key": "string", "bucket": "string", "created_at": "2019-08-24T14:15:22Z", "endpoint": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "region": "string", "updated_at": "2019-08-24T14:15:22Z" }}